## List MeterGroups

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/metergroups \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/metergroups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/metergroups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response

#### 200 Response Structure
```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "name": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

#### Error Responses

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**  
Type: string  
Location: header  
Required: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string (required)  
  UUID of the organization

### Query Parameters

- **pageSize**: integer<int32>  
  Number of MeterGroups to retrieve per page (Required range: `1 <= x <= 100`)
- **nextToken**: string  
  nextToken for multi page retrievals
- **ids**: string[]  
  list of ids to retrieve

### Response

**200**  
Content-Type: application/json  
ListMeterGroups 200 response

- **data**: object[]  
  List of Meter Group objects  
- **nextToken**: string  
  token for fetching the next set of results.
